Upstream information

CVE-2006-0457 at MITRE

Description

Race condition in the (1) add_key, (2) request_key, and (3) keyctl functions in Linux kernel 2.6.x allows local users to cause a denial of service (crash) or read sensitive kernel memory by modifying the length of a string argument between the time that the kernel calculates the length and when it copies the data into kernel memory.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.1
Vector AV:N/AC:H/Au:N/C:C/I:N/A:C
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Complete
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entry: 151775 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 10.0
  • Intel-536ep >= 4.69-14.5
  • kernel-bigsmp >= 2.6.13-15.10
  • kernel-bigsmp-nongpl >= 2.6.13-15.10
  • kernel-default >= 2.6.13-15.10
  • kernel-default-nongpl >= 2.6.13-15.10
  • kernel-iseries64 >= 2.6.13-15.10
  • kernel-ppc64 >= 2.6.13-15.10
  • kernel-smp >= 2.6.13-15.10
  • kernel-smp-nongpl >= 2.6.13-15.10
  • kernel-source >= 2.6.13-15.10
  • kernel-syms >= 2.6.13-15.10
  • kernel-um >= 2.6.13-15.10
  • kernel-um-nongpl >= 2.6.13-15.10
  • kernel-xen >= 2.6.13-15.10
  • kernel-xen-nongpl >= 2.6.13-15.10
  • um-host-kernel >= 2.6.13-15.10
SUSE LINUX 9.3
  • Intel-536ep >= 4.69-10.6
  • kernel-bigsmp >= 2.6.11.4-21.12
  • kernel-bigsmp-nongpl >= 2.6.11.4-21.12
  • kernel-default >= 2.6.11.4-21.12
  • kernel-default-nongpl >= 2.6.11.4-21.12
  • kernel-docs >= 2.6.11.4-21.12
  • kernel-smp >= 2.6.11.4-21.12
  • kernel-smp-nongpl >= 2.6.11.4-21.12
  • kernel-source >= 2.6.11.4-21.12
  • kernel-syms >= 2.6.11.4-21.12
  • kernel-um >= 2.6.11.4-21.12
  • kernel-um-nongpl >= 2.6.11.4-21.12
  • kernel-xen >= 2.6.11.4-21.12
  • kernel-xen-nongpl >= 2.6.11.4-21.12
  • ltmodem >= 8.31a10-7.6
  • um-host-install-initrd >= 1.0-50.6
  • um-host-kernel >= 2.6.11.4-21.12